@import 'src/stylesheets/utils';

.game-details-page {
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  max-width: 1256px;
  margin-top: 50px;
  font-family: $font-default;
  overflow:hidden;
}

.game-details-header {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin-bottom: 30px;

  &__info {
    padding: 0 30px;
  }

  &__published {
    padding-top: 5px;
    text-align: right;
    color: $color-gray-400;
  }

  &__title {
    font-size: 30px;
    font-weight: bold;
  }

  &__cost {
    margin-top: 10px;
    font-size: 18px;
    font-family: $font-additional;
    color: $color-gray-500;
    text-transform: uppercase;
  }
}

.game-info {
  margin-top: 15px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;

  &__main {
    display: flex;
    flex-direction: row;
  }

  &__type {
    font-family: $font-default;
    font-size: 16px;
    padding-right: 10px;
  }

  &__platforms {
    padding: 0 5px;
    font-size: 14px;
    background-color: $color-gray-400;
    border-radius: 5px;
  }

  &__meta {

  }

  &__users {
    margin: 0;
  }

  &__status {
    margin: 10px 0 0 0;
  }

  &__end-date {
    margin: 0;
  }
}

.tab-group {

  &__links {
    display: flex;
    flex-direction: column;
  }

  &__link {
    margin-bottom: 10px;
    text-decoration: none;
    color: $color-blue-500;
  }

  &__link:hover {
    color: $color-blue-700;
  }

  &__link:visited {
    color: $color-gray-500;
  }

  &__link:visited:hover {
    color: $color-blue-700;
  }
}

.tab-content {
  margin: 30px 40px;
  font-size: 16px;
  font-family: $font-default;
}

@media screen and (max-width: 960px) {
  .game-details-header {
    display: flex;
    flex-direction: column;
  }
}